Bug 140153 - Grafical install does not work on laptop fujitsu-siemens amilo k7600
Grafical install does not work on laptop fujitsu-siemens amilo k7600
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-20 04:24 EST by Eero Volotinen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:03:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eero Volotinen 2004-11-20 04:24:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041109 Firefox/1.0 (MOOX M2)

Description of problem:
Grafical install does not work on laptop fujitsu-siemens amilo k7600.

Screen aligns incorrectly, can't install using anaconda, must use text
on boot. should be fixed on fc4-beta?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

    

Actual Results:  Grafical install does not work on laptop
fujitsu-siemens amilo k7600.

Screen aligns incorrectly, can't install using anaconda, must use text
on boot. should be fixed on fc4-beta?

Expected Results:  Grafical install does not work on laptop
fujitsu-siemens amilo k7600.

Screen aligns incorrectly, can't install using anaconda, must use text
on boot. should be fixed on fc4-beta?

Additional info:

Grafical install does not work on laptop fujitsu-siemens amilo k7600.

Screen aligns incorrectly, can't install using anaconda, must use text
on boot. should be fixed on fc4-beta?
Comment 1 Eero Volotinen 2004-11-20 05:28:58 EST
Looks like anaconda incorrectly detect lcd display resolution to ->
800x600, it should detect 1024x768. 

Need use to setup bios with screen expansion and after install need to
set screen manually.

This works fine on FC2, not on FC3
Comment 2 Jeremy Katz 2004-11-22 11:06:30 EST
Can you provide /var/log/X* from after the system is installed?
Comment 3 Eero Volotinen 2004-11-22 11:23:04 EST
http://www.linux.ncp.fi/~eero/fedora/* provices logs from laptop. I
manually fixed problem after install
Comment 4 Paul Nasrat 2004-11-23 08:29:29 EST
Can you also put in there /etc/X11/xorg.conf* 
Comment 5 Eero Volotinen 2004-11-23 08:41:54 EST
I uploaded files to same location.
http://www.linux.ncp.fi/~eero/fedora/xorg.conf.backup contains old,
nonworking file.

Comment 6 Eero Volotinen 2004-11-23 08:43:28 EST
Main problem is that anaconda does not detect correct resolution which
is 1024x768 , it selects 800x600 which is not correct on this lcd panel.
Comment 7 Paul Nasrat 2004-11-23 08:47:28 EST
Thanks for the speedy response.

OK, can you give me the output of running as root kudzu -p -b ddc on
this machine, we may not be able to probe the panel.  Passing
resolution=1024x768 to the installer should work around
Comment 8 Eero Volotinen 2004-11-23 09:13:45 EST
-
class: VIDEO
bus: DDC
detached: 0
device: fb0
driver: unknown
desc: "S3 Garphics Incorporated. VBE 3.0"
mem: 31680

note: mem can be changed from bios setting "shared video memory size
from 8-32MB"
Comment 9 Paul Nasrat 2004-11-23 16:00:55 EST
Yes sadly your panel is unprobable with DDC, so we're just defaulting to
800x600.  Can you confirm if booting the installer (you don't have to install)
using resolution=1028x768 works for you.
Comment 10 Jeremy Katz 2005-02-01 17:03:49 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.